package com.example.fuzzControll.controller.dataController;

import com.example.fuzzControll.mapper.MissionInfoMapper;
import com.example.fuzzControll.domain.vo.AjaxResult;
import com.example.fuzzControll.service.MissionInfoService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.io.IOException;

@RestController
@RequestMapping("/mission")
@Slf4j
public class MissionInfoController {
    @Autowired
    MissionInfoMapper missionInfoMapper;
    @Autowired
    MissionInfoService missionInfoService;
    /**
     * 查看任务信息
     */
    @RequestMapping(value = "/getList", method = RequestMethod.GET)
    public AjaxResult getMissionInfo() throws IOException {
        try {
            return AjaxResult.success(missionInfoMapper.selectMissionInfoList());
        } catch (Exception e) {
            e.printStackTrace();
            return AjaxResult.error("任务获取失败！");
        }
    }

    /**
     * 跟据任务id删除任务
     */
    @RequestMapping(value = "/delMissionInfo", method = RequestMethod.GET)
    public AjaxResult delMissionInfoById(@RequestParam int id) {
        try {
            Boolean flag = missionInfoService.delMissionInfoById(id);
            if (flag) {
                return AjaxResult.success();
            } else {
                throw new RuntimeException();
            }
        } catch (Exception e) {
            e.printStackTrace();
            return AjaxResult.error("任务删除失败！");
        }
    }
}
